ru.inpas.connector.lib

## Enum PosExchange.Result

- java.lang.Object
- - java.lang.Enum<PosExchange.Result>
  - - ru.inpas.connector.lib.PosExchange.Result

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PosExchange.Result>

Enclosing class:
  PosExchange

    public static enum PosExchange.Result
    extends java.lang.Enum<PosExchange.Result>

Идентификаторы результата обмена данными с терминалом

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BT_ADAPTER_DISABLED` Адаптер bluetooth не включен
`BT_ADAPTER_NOT_FOUND` Адаптер bluetooth отсутствует
`BT_DEVICE_NOT_FOUND` Не найден bluetooth терминал
`BT_NOT_PAIRED_DEVICES` Нет сопряжённых bluetooth устройств
`CRC_ERROR` При приёме данных получен не корректный crc
`DEVICE_CONNECT_ERROR` Не удалось установить соединение с терминалом
`DONE` Процесс обмена данными с терминалом успешно завершён
`ERROR` Процесс обмена данными с терминалом завершён с ошибкой
`NAK_ERROR` При передачи данных превышено максимальное количество негативных подтверждений
`PACKET_ERROR` При разборе пакета возникли ошибки
`PROCESSING` Выполняется обмен данными с терминалом
`READ_ERROR` Ошибка чтения данных
`SEND_ERROR` Ошибка передачи данных
`USB_DEVICE_ERROR` ошибка подключения к USB устройству
`USB_DEVICE_NOT_FOUND` отсутствует пдключение по USB

### Method Summary

All Methods Static Methods Concrete Methods
`static PosExchange.Result` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PosExchange.Result[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PROCESSING

    public static final PosExchange.Result PROCESSING

Выполняется обмен данными с терминалом

#### DONE

    public static final PosExchange.Result DONE

Процесс обмена данными с терминалом успешно завершён

#### ERROR

    public static final PosExchange.Result ERROR

Процесс обмена данными с терминалом завершён с ошибкой

#### BT_ADAPTER_NOT_FOUND

    public static final PosExchange.Result BT_ADAPTER_NOT_FOUND

Адаптер bluetooth отсутствует

#### BT_ADAPTER_DISABLED

    public static final PosExchange.Result BT_ADAPTER_DISABLED

Адаптер bluetooth не включен

#### BT_NOT_PAIRED_DEVICES

    public static final PosExchange.Result BT_NOT_PAIRED_DEVICES

Нет сопряжённых bluetooth устройств

#### BT_DEVICE_NOT_FOUND

    public static final PosExchange.Result BT_DEVICE_NOT_FOUND

Не найден bluetooth терминал

#### DEVICE_CONNECT_ERROR

    public static final PosExchange.Result DEVICE_CONNECT_ERROR

Не удалось установить соединение с терминалом

#### SEND_ERROR

    public static final PosExchange.Result SEND_ERROR

Ошибка передачи данных

#### READ_ERROR

    public static final PosExchange.Result READ_ERROR

Ошибка чтения данных

#### NAK_ERROR

    public static final PosExchange.Result NAK_ERROR

При передачи данных превышено максимальное количество негативных подтверждений

#### CRC_ERROR

    public static final PosExchange.Result CRC_ERROR

При приёме данных получен не корректный crc

#### PACKET_ERROR

    public static final PosExchange.Result PACKET_ERROR

При разборе пакета возникли ошибки

#### USB_DEVICE_NOT_FOUND

    public static final PosExchange.Result USB_DEVICE_NOT_FOUND

отсутствует пдключение по USB

#### USB_DEVICE_ERROR

    public static final PosExchange.Result USB_DEVICE_ERROR

ошибка подключения к USB устройству

### Method Detail

#### values

    public static PosExchange.Result[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PosExchange.Result c : PosExchange.Result.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PosExchange.Result valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null